# -*- coding: utf-8

from django.db import models


class Client(models.Model):
    first_name = models.CharField(max_length=100)
    last_name = models.CharField(max_length=100)
    age = models.IntegerField()

    def __unicode__(self):
        return "%s %s" % (self.first_name, self.last_name)

    def num_orders(self):
        return self.orders.all().count()


class Order(models.Model):
    number = models.IntegerField(verbose_name="Order number")
    client = models.ForeignKey(Client, verbose_name="Client", related_name="orders")